stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
stdex::html::element_end Class Reference

Ending tag of an HTML element `</...>` More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::element_end:

## Public Member Functions
template<class T >
| element_end (stdex::parser::basic_html_tag< T > &&tag, const T *src, sequence *parent=nullptr, element_start *_start=nullptr)
Public Member Functions inherited from stdex::html::sequence
| sequence (stdex::parser::html_sequence_t _type=stdex::parser::html_sequence_t::unknown, size_t start=0, size_t end=0, sequence *_parent=nullptr)

## Public Attributes
element_t | code
| Element code.
stdex::interval< size_t > | name
| Element name position in source.
element_start * | start
| Corresponding starting tag.
Public Attributes inherited from stdex::html::sequence
stdex::parser::html_sequence_t | type
| Sequence type. Enum is used for performance reasons (vs. `dynamic_cast`)
stdex::interval< size_t > | interval
| Sequence position in source.
sequence * | parent
| Parent sequence.

## Detailed Description

Ending tag of an HTML element `</...>`

The documentation for this class was generated from the following file:

- include/stdex/html.hpp